EndpointsOrganization Details

Organization Details

Function-calling namespace: organizationDetails

  • Base URL: https://api.aivida.in
  • Engine endpoint: POST /api
  • Auth: Stack token middleware enabled in optional mode.
  • Send token in header: x-stack-access-token: <access_token> (or Authorization: Bearer <access_token>).
  • In optional mode: no token is allowed; invalid token is rejected with 401.

addAward

Source: backend/endpoints/organization-details/add-award

Input Fields

FieldTypeRequiredConstraints
organizationIdstringNo-
titlestringNo-
awardYearintegerNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "organizationDetails",
  "apiName": "addAward",
  "data": {
    "organizationId": "org_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

addMembership

Source: backend/endpoints/organization-details/add-membership

Input Fields

FieldTypeRequiredConstraints
organizationIdstringNo-
membershipNamestringNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "organizationDetails",
  "apiName": "addMembership",
  "data": {
    "organizationId": "org_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

addSpecialization

Source: backend/endpoints/organization-details/add-specialization

Input Fields

FieldTypeRequiredConstraints
organizationIdstringNo-
specializationstringNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "organizationDetails",
  "apiName": "addSpecialization",
  "data": {
    "organizationId": "org_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

createGalleryItem

Source: backend/endpoints/organization-details/create-gallery-item

Input Fields

FieldTypeRequiredConstraints
organizationIdstringNo-
fileUrlstringNo-
categorystringNo-
displayOrderintegerNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "organizationDetails",
  "apiName": "createGalleryItem",
  "data": {
    "organizationId": "org_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

createService

Source: backend/endpoints/organization-details/create-service

Input Fields

FieldTypeRequiredConstraints
organizationIdstringNo-
categoryIdstringNo-
serviceNamestringNo-
imageUrlstringNo-
displayOrderintegerNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "organizationDetails",
  "apiName": "createService",
  "data": {
    "organizationId": "org_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

deleteAward

Source: backend/endpoints/organization-details/delete-award

Input Fields

FieldTypeRequiredConstraints
idstringNo-
organizationIdstringNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "organizationDetails",
  "apiName": "deleteAward",
  "data": {
    "organizationId": "org_123",
    "id": "id_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

deleteGalleryItem

Source: backend/endpoints/organization-details/delete-gallery-item

Input Fields

FieldTypeRequiredConstraints
idstringNo-
organizationIdstringNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "organizationDetails",
  "apiName": "deleteGalleryItem",
  "data": {
    "organizationId": "org_123",
    "id": "id_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

deleteMembership

Source: backend/endpoints/organization-details/delete-membership

Input Fields

FieldTypeRequiredConstraints
idstringNo-
organizationIdstringNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "organizationDetails",
  "apiName": "deleteMembership",
  "data": {
    "organizationId": "org_123",
    "id": "id_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

deleteService

Source: backend/endpoints/organization-details/delete-service

Input Fields

FieldTypeRequiredConstraints
idstringNo-
organizationIdstringNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "organizationDetails",
  "apiName": "deleteService",
  "data": {
    "organizationId": "org_123",
    "id": "id_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

deleteSpecialization

Source: backend/endpoints/organization-details/delete-specialization

Input Fields

FieldTypeRequiredConstraints
idstringNo-
organizationIdstringNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "organizationDetails",
  "apiName": "deleteSpecialization",
  "data": {
    "organizationId": "org_123",
    "id": "id_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

getPatientProfile

Source: backend/endpoints/organization-details/get-patient-profile

Input Fields

FieldTypeRequiredConstraints
organizationIdstringNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "organizationDetails",
  "apiName": "getPatientProfile",
  "data": {
    "organizationId": "org_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

listAwards

Source: backend/endpoints/organization-details/list-awards

Input Fields

FieldTypeRequiredConstraints
organizationIdstringNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "organizationDetails",
  "apiName": "listAwards",
  "data": {
    "organizationId": "org_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

listGallery

Source: backend/endpoints/organization-details/list-gallery

Input Fields

FieldTypeRequiredConstraints
organizationIdstringNo-
categorystringNo-
pageintegerNo-
pageSizeintegerNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "organizationDetails",
  "apiName": "listGallery",
  "data": {
    "organizationId": "org_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

listMemberships

Source: backend/endpoints/organization-details/list-memberships

Input Fields

FieldTypeRequiredConstraints
organizationIdstringNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "organizationDetails",
  "apiName": "listMemberships",
  "data": {
    "organizationId": "org_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

listServiceCategories

Source: backend/endpoints/organization-details/list-service-categories

Input Fields

FieldTypeRequiredConstraints
activeOnlybooleanNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "organizationDetails",
  "apiName": "listServiceCategories",
  "data": {
    "activeOnly": true
  }
}'

Example Response

{ "status": "ok", "data": {} }

listServiceCategoriesByOrganization

Source: backend/endpoints/organization-details/list-service-categories-by-organization

Input Fields

FieldTypeRequiredConstraints
organizationIdstringNo-
pageintegerNo-
pageSizeintegerNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "organizationDetails",
  "apiName": "listServiceCategoriesByOrganization",
  "data": {
    "organizationId": "org_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

listServices

Source: backend/endpoints/organization-details/list-services

Input Fields

FieldTypeRequiredConstraints
organizationIdstringNo-
categoryIdstringNo-
pageintegerNo-
pageSizeintegerNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "organizationDetails",
  "apiName": "listServices",
  "data": {
    "organizationId": "org_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

listSpecializations

Source: backend/endpoints/organization-details/list-specializations

Input Fields

FieldTypeRequiredConstraints
organizationIdstringNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "organizationDetails",
  "apiName": "listSpecializations",
  "data": {
    "organizationId": "org_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

updateAboutDescription

Source: backend/endpoints/organization-details/update-about-description

Input Fields

FieldTypeRequiredConstraints
organizationIdstringNo-
aboutDescriptionstringNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "organizationDetails",
  "apiName": "updateAboutDescription",
  "data": {
    "organizationId": "org_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

updateGalleryItem

Source: backend/endpoints/organization-details/update-gallery-item

Input Fields

FieldTypeRequiredConstraints
idstringNo-
organizationIdstringNo-
fileUrlstringNonullable
categorystringNonullable
displayOrderintegerNonullable
isActivebooleanNonullable

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "organizationDetails",
  "apiName": "updateGalleryItem",
  "data": {
    "organizationId": "org_123",
    "id": "id_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

updateService

Source: backend/endpoints/organization-details/update-service

Input Fields

FieldTypeRequiredConstraints
idstringNo-
organizationIdstringNo-
categoryIdstringNonullable
serviceNamestringNonullable
imageUrlstringNonullable
displayOrderintegerNonullable
isActivebooleanNonullable

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "organizationDetails",
  "apiName": "updateService",
  "data": {
    "organizationId": "org_123",
    "id": "id_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }